## org.exist
Class EXistException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.exist.EXistException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  LogException, TransactionException

public class EXistException
extends java.lang.Exception

General exception type.

Author:
  wolf
See Also:
  Serialized Form

Constructor Summary
`EXistException()`
`EXistException(java.lang.String message)`
`EXistException(java.lang.String message, java.lang.Throwable cause)`
`EXistException(java.lang.Throwable inner)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EXistException

    public EXistException()

### EXistException

    public EXistException(java.lang.Throwable inner)

### EXistException

    public EXistException(java.lang.String message)

### EXistException

    public EXistException(java.lang.String message,
                          java.lang.Throwable cause)

Copyright (C) Wolfgang Meier. All rights reserved.